
From: Rusty Russell <rusty@rustcorp.com.au>

MODULE_ALIAS_BLOCK and genhd.c's request_module() don't match, which breaks
autoloading of loop devices.



 drivers/block/genhd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/block/genhd.c~loop-autoloading-fix drivers/block/genhd.c
--- 25/drivers/block/genhd.c~loop-autoloading-fix	2003-10-23 02:43:46.000000000 -0700
+++ 25-akpm/drivers/block/genhd.c	2003-10-23 02:43:46.000000000 -0700
@@ -296,7 +296,7 @@ extern int blk_dev_init(void);
 
 static struct kobject *base_probe(dev_t dev, int *part, void *data)
 {
-	request_module("block-major-%d", MAJOR(dev));
+	request_module("block-major-%d-%d", MAJOR(dev), MINOR(dev));
 	return NULL;
 }
 

_
